package org.xbib.interlibrary.catalog.elasticsearch.lvi.config;

import java.io.IOException;
import java.util.List;
import java.util.Map;
import org.xbib.interlibrary.api.library.IndexLibrary;
import org.xbib.interlibrary.api.product.Product;

public interface Configuration extends AutoCloseable {

    Map<String, IndexLibrary> getLibraries();

    List<String> mapLibraryIdentifier(String input);

    String normalizeLibraryIdentifier(String identifier);

    Map<String, Product> getProducts();

    String mapItemProcess(String code);

    @Override
    void close() throws IOException;
}
