package org.xbib.interlibrary.catalog.elasticsearch.lvi.config;

import java.util.Map;

public class DefaultConfigurationArguments implements ConfigurationArguments {

    private final Map<String, Object> settings;

    private final Object configurationObject;

    public DefaultConfigurationArguments(Map<String, Object> settings,
                                         Object configurationObject) {
        this.settings = settings;
        this.configurationObject = configurationObject;
    }

    @Override
    public Map<String, Object> getSettings() {
        return settings;
    }

    @Override
    public Object getConfigurationObject() {
        return configurationObject;
    }
}
