package org.xbib.interlibrary.catalog.elasticsearch.lvi.record;

import org.xbib.interlibrary.catalog.elasticsearch.lvi.config.Configuration;

public class LviRecord extends AbstractRecord {

    protected LviRecord(Builder builder) {
        super(builder);
    }

    public static Builder builder(Configuration configuration) {
        return new Builder(configuration);
    }

    public static class Builder extends AbstractRecord.Builder {

        protected Builder(Configuration configuration) {
            super(configuration, "lvi", null);
        }

        @Override
        public LviRecord build() {
            return new LviRecord(this);
        }
    }
}
