package org.xbib.interlibrary.catalog.elasticsearch.openalex;

import software.amazon.awssdk.services.s3.model.S3Object;

public class S3BucketObject {

    private final S3InputHelper s3InputHelper;

    private final String bucket;

    private final S3Object s3Object;

    public S3BucketObject(S3InputHelper s3InputHelper,
                          String bucket,
                          S3Object s3Object) {
        this.s3InputHelper = s3InputHelper;
        this.bucket = bucket;
        this.s3Object = s3Object;
    }

    public S3InputHelper getS3InputHelper() {
        return s3InputHelper;
    }

    public String getBucket() {
        return bucket;
    }

    public S3Object getS3Object() {
        return s3Object;
    }
}
