package org.xbib.interlibrary.catalog.elasticsearch.openalex;

import org.xbib.interlibrary.api.action.worker.WorkerRequest;

public class S3BucketObjectWorkerRequest implements WorkerRequest<S3BucketObject> {

    private final S3BucketObject s3BucketObject;

    public S3BucketObjectWorkerRequest(S3BucketObject s3BucketObject) {
        this.s3BucketObject = s3BucketObject;
    }

    @Override
    public S3BucketObject getRequest() {
        return s3BucketObject;
    }

    @Override
    public boolean isPoison() {
        return false;
    }

    @Override
    public String getRequestOrigin() {
        return s3BucketObject.getS3Object().key();
    }
}
